Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraftforge.event.entity.player
Class PlayerEvent

    java.lang.Object
      net.minecraftforge.event.Event
          net.minecraftforge.event.entity.EntityEvent
              net.minecraftforge.event.entity.living.LivingEvent
                  net.minecraftforge.event.entity.player.PlayerEvent

Direct Known Subclasses:
  ArrowLooseEvent, ArrowNockEvent, AttackEntityEvent, BonemealEvent, EntityInteractEvent, EntityItemPickupEvent, FillBucketEvent, PlayerDestroyItemEvent, PlayerEvent.BreakSpeed, PlayerEvent.HarvestCheck, PlayerInteractEvent, PlayerSleepInBedEvent, UseHoeEvent

    public class PlayerEvent

extends LivingEvent

Nested Class Summary
`static class` | `PlayerEvent.BreakSpeed`
`static class` | `PlayerEvent.HarvestCheck`

Nested classes/interfaces inherited from class net.minecraftforge.event.entity.living.LivingEvent
`LivingEvent.LivingJumpEvent, LivingEvent.LivingUpdateEvent`

Nested classes/interfaces inherited from class net.minecraftforge.event.entity.EntityEvent
`EntityEvent.CanUpdate, EntityEvent.EnteringChunk`

Nested classes/interfaces inherited from class net.minecraftforge.event.Event
`Event.HasResult, Event.Result`

Field Summary
`EntityPlayer` | `entityPlayer`

Fields inherited from class net.minecraftforge.event.entity.living.LivingEvent
`entityLiving`

Fields inherited from class net.minecraftforge.event.entity.EntityEvent
`entity`

Constructor Summary
`PlayerEvent(EntityPlayer player)`

Method Summary

Methods inherited from class net.minecraftforge.event.Event
`getListenerList, getResult, hasResult, isCancelable, isCanceled, setCanceled, setResult`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### entityPlayer

    public final EntityPlayer entityPlayer

Constructor Detail

### PlayerEvent

    public PlayerEvent(EntityPlayer player)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD